## wikkid 0.1+bzr58

=== Makefile ===
#
# Copyright (C) 2010 Wikkid Developers.
#
# This software is licensed under the GNU Affero General Public License
# version 3 (see the file LICENSE).

all: check


check:
	python -m testtools.run wikkid.tests.test_suite


clean:
	@find . -name '*.py[co]' -print0 | xargs -r0 $(RM)
	@find . -name '*~' -print0 | xargs -r0 $(RM)


.PHONY: check clean

## wikkid 0.1+bzr57

=== debian/changelog ===
wikkid (0.1+bzr57-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.9.1 (no changes).
  * Add simple manual page for wikkid-serve.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 29 Jan 2011 14:57:54 +0100

wikkid (0.1-1) experimental; urgency=low

  * Initial release. Closes: #584579

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 26 May 2010 16:41:10 +0200

=== debian/control ===
Source: wikkid
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Homepage: http://launchpad.net/wikkid
Build-Depends: python-central (>= 0.5), cdbs (>= 0.4.43), python, debhelper (>= 5.0.37.2), bzr (>= 2.0~), python-distribute, python-testtools (>= 0.9.2), python-beautifulsoup, python-jinja2, python-zope.interface, python-twisted-core, python-twisted-web,, python-pygments
Standards-Version: 3.9.1
XS-Python-Version: >= 2.5
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/wikkid/unstable
Vcs-Browser: http://bzr.debian.org/lh/pkg-bazaar/wikkid/unstable

Package: wikkid
Architecture: all
Depends: bzr (>= 2.0~), ${python:Depends}, ${misc:Depends}, python-jinja2, python-zope.interface, python-twisted-core, python-twisted-web, python-pygments
Enhances: bzr
XB-Python-Version: ${python:Versions}
Description: Bazaar-backed wiki
 A wiki that is backed by Bazaar that allows local branching of the wiki for
 later merging. It doesn't have any page locks and uses Bazaar's three way
 merging.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
common-post-build-indep::
	$(PYTHON) -m testtools.run wikkid.tests.test_suite
endif

## wikkid 0.1+bzr58

=== debian/changelog ===
wikkid (0.1+bzr58-1.1build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:15:36 +0000

wikkid (0.1+bzr58-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:46:02 +0200

wikkid (0.1+bzr58-1) unstable; urgency=low

  * Switch to dh_python2. Closes: #617146
  * Switch to debhelper 7, drop cdbs.
  * New upstream snapshot.
   + Fixes support for newer versions of Python.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 10 Mar 2011 00:16:48 +0100

wikkid (0.1+bzr49-1) unstable; urgency=low

  * Upload to unstable.
  * Move to section web. Closes: #586974
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 09 Oct 2010 14:45:13 +0200

=== debian/control ===
Source: wikkid
Section: web
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Homepage: http://launchpad.net/wikkid
Build-Depends: python (>= 2.6.6-3), debhelper (>= 7.0.50~), bzr (>= 2.0~), python-distribute, python-testtools (>= 0.9.2), python-beautifulsoup, python-jinja2, python-zope.interface, python-twisted-core, python-twisted-web, python-pygments
Standards-Version: 3.9.1
X-Python-Version: >= 2.5
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/wikkid/unstable
Vcs-Browser: http://bzr.debian.org/lh/pkg-bazaar/wikkid/unstable

Package: wikkid
Architecture: all
Depends: bzr (>= 2.0~), ${python:Depends}, ${misc:Depends}, python-jinja2, python-zope.interface, python-twisted-core, python-twisted-web, python-pygments
Enhances: bzr
Description: Bazaar-backed wiki
 A wiki that is backed by Bazaar that allows local branching of the wiki for
 later merging. It doesn't have any page locks and uses Bazaar's three way
 merging.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 --buildsystem=python_distutils $*

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	$(PYTHON) -m testtools.run wikkid.tests.test_suite
endif

## wikkid 0.1+bzr69

=== debian/changelog ===
wikkid (0.1+bzr69-1) unstable; urgency=low

  * Bump standards version to 3.9.3 (no changes)
  * New upstream snapshot.
  * Fix running of the test suite during build.
  * Add build dependency on python-bzrlib.tests, required by newer
    versions of bzr.
  * Depend on python-bzrlib rather than bzr itself, which is not
    strictly necessary.
  * Use machine-parseable copyright format.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 28 Feb 2012 13:29:30 +0100

=== debian/control ===
Source: wikkid
Section: web
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Homepage: http://launchpad.net/wikkid
Build-Depends: bzr (>= 2.0~),
               debhelper (>= 7.0.50~),
               python (>= 2.6.6-3),
               python-beautifulsoup,
               python-bzrlib.tests | bzr (<< 2.4.0~beta1-2),
               python-distribute,
               python-docutils,
               python-jinja2,
               python-lxml,
               python-pygments,
               python-testtools (>= 0.9.2),
               python-twisted-core,
               python-twisted-web,
               python-webob (>= 1.0),
               python-zope.interface
Standards-Version: 3.9.3
X-Python-Version: >= 2.5
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/wikkid/unstable
Vcs-Browser: http://bzr.debian.org/lh/pkg-bazaar/wikkid/unstable

Package: wikkid
Architecture: all
Depends: python-bzrlib (>= 2.0~),
         python-jinja2,
         python-pygments,
         python-twisted-core,
         python-twisted-web,
         python-webob,
         python-zope.interface,
         ${misc:Depends},
         ${python:Depends}
Enhances: bzr
Recommends: bzr
Description: Bazaar-backed wiki
 A wiki that is backed by Bazaar that allows local branching of the wiki for
 later merging. It doesn't have any page locks and uses Bazaar's three way
 merging.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 --buildsystem=python_distutils $*

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=. python -m wikkid.tests.test_app
	$(MAKE) check
endif

=== debian/watch ===
version=3
https://launchpad.net/wikkid/+download https://launchpad.net/wikkid/.*/Wikkid-(.+).tar.gz
